#include "SevSeg.h"  // display library
#include "NewPing.h" // hc-sr04 library

#define trig A0
#define echo A1
#define Max 400   //max distance that can be dtected by hc-sro4

static int deciSeconds = 0; // by this the screen will not flicker

SevSeg sevseg; 
NewPing sonar(trig, echo, Max);
float duration, distance, runtime = 0.0; // to store data
long now = 0;
long delayTime = 1000;

void setup(){
  byte numDigits = 4;
  byte digitPins[] = {10, 11, 12, 13};
  byte segmentPins[] = {9, 2, 3, 5, 6, 8, 7, 4};

  bool resistorsOnSegments = true; 
  bool updateWithDelaysIn = false;
  byte hardwareConfig = COMMON_CATHODE; // U can change it to COMMON_ANODE if needed
  sevseg.begin(hardwareConfig, numDigits, digitPins, segmentPins, resistorsOnSegments);
  sevseg.setBrightness(100);  // U can set it from 0-100
  Serial.begin(9600);  
  // distance will be also printed on the serial monitor u can also see it there.
}

void loop(){


  if ((millis() - now) > delayTime){
    duration = (0.9 * duration) + (0.1 * sonar.ping());
    distance = -(duration / 2) * 0.343 + 86; //kalibreren tot beginlengte tot piepschuim
    sevseg.setNumber(distance);// this will shift the decimal point to two characters from the right
    Serial.println(distance);
    
  }


  
  // u can change it to 1 if u need to print more more that 100 cm for ex (distance, 1)
  sevseg.refreshDisplay(); 
  
    
    
}
